%define _buildid .3

%global gnulib_ver 20120404-stable
%global sover 1

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.2.3
Release: 3%{?_buildid}%{?dist}
License: GPLv3+
Group: Development/Libraries
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: check-devel
BuildRequires: libtool

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package devel
Summary: Header files and libraries for pipeline manipulation library
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%{configure}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} INSTALL='install -p'
rm $RPM_BUILD_ROOT/%{_libdir}/libpipeline.la

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING README ChangeLog NEWS
%{_libdir}/libpipeline.so.%{sover}
%{_libdir}/libpipeline.so.%{sover}.*

%files devel
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/pipeline.h
%{_mandir}/man3/libpipeline.3*
%{_mandir}/man3/pipecmd_arg.3*
%{_mandir}/man3/pipecmd_argf.3*
%{_mandir}/man3/pipecmd_args.3*
%{_mandir}/man3/pipecmd_argstr.3*
%{_mandir}/man3/pipecmd_argv.3*
%{_mandir}/man3/pipecmd_clearenv.3*
%{_mandir}/man3/pipecmd_discard_err.3*
%{_mandir}/man3/pipecmd_dump.3*
%{_mandir}/man3/pipecmd_dup.3*
%{_mandir}/man3/pipecmd_exec.3*
%{_mandir}/man3/pipecmd_free.3*
%{_mandir}/man3/pipecmd_get_nargs.3*
%{_mandir}/man3/pipecmd_new.3*
%{_mandir}/man3/pipecmd_new_args.3*
%{_mandir}/man3/pipecmd_new_argstr.3*
%{_mandir}/man3/pipecmd_new_argv.3*
%{_mandir}/man3/pipecmd_new_function.3*
%{_mandir}/man3/pipecmd_new_passthrough.3*
%{_mandir}/man3/pipecmd_new_sequence.3*
%{_mandir}/man3/pipecmd_new_sequencev.3*
%{_mandir}/man3/pipecmd_nice.3*
%{_mandir}/man3/pipecmd_sequence_command.3*
%{_mandir}/man3/pipecmd_setenv.3*
%{_mandir}/man3/pipecmd_tostring.3*
%{_mandir}/man3/pipecmd_unsetenv.3*
%{_mandir}/man3/pipeline_command.3*
%{_mandir}/man3/pipeline_command_args.3*
%{_mandir}/man3/pipeline_command_argstr.3*
%{_mandir}/man3/pipeline_command_argv.3*
%{_mandir}/man3/pipeline_commands.3*
%{_mandir}/man3/pipeline_commandv.3*
%{_mandir}/man3/pipeline_connect.3*
%{_mandir}/man3/pipeline_dump.3*
%{_mandir}/man3/pipeline_free.3*
%{_mandir}/man3/pipeline_get_command.3*
%{_mandir}/man3/pipeline_get_infile.3*
%{_mandir}/man3/pipeline_get_ncommands.3*
%{_mandir}/man3/pipeline_get_outfile.3*
%{_mandir}/man3/pipeline_get_pid.3*
%{_mandir}/man3/pipeline_ignore_signals.3*
%{_mandir}/man3/pipeline_install_post_fork.3*
%{_mandir}/man3/pipeline_join.3*
%{_mandir}/man3/pipeline_new.3*
%{_mandir}/man3/pipeline_new_command_args.3*
%{_mandir}/man3/pipeline_new_command_argv.3*
%{_mandir}/man3/pipeline_new_commands.3*
%{_mandir}/man3/pipeline_new_commandv.3*
%{_mandir}/man3/pipeline_peek.3*
%{_mandir}/man3/pipeline_peekline.3*
%{_mandir}/man3/pipeline_peek_size.3*
%{_mandir}/man3/pipeline_peek_skip.3*
%{_mandir}/man3/pipeline_pump.3*
%{_mandir}/man3/pipeline_read.3*
%{_mandir}/man3/pipeline_readline.3*
%{_mandir}/man3/pipeline_run.3*
%{_mandir}/man3/pipeline_set_command.3*
%{_mandir}/man3/pipeline_start.3*
%{_mandir}/man3/pipeline_tostring.3*
%{_mandir}/man3/pipeline_wait.3*
%{_mandir}/man3/pipeline_wait_all.3*
%{_mandir}/man3/pipeline_want_in.3*
%{_mandir}/man3/pipeline_want_infile.3*
%{_mandir}/man3/pipeline_want_out.3*
%{_mandir}/man3/pipeline_want_outfile.3*

%changelog
* Tue Aug 26 2014 Ben Cressey <bcressey@amazon.com>
- list packaged files

* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/libpipeline-1.2.3-3.el7

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 1.2.3-3
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 1.2.3-2
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/libpipeline-1.2.3-1.el7

* Thu Dec 12 2013 Cristian Gafton <gafton@amazon.com>
- setup complete for package libpipeline

* Wed Apr 24 2013 Peter Schiffer <pschiffe@redhat.com> - 1.2.3-1
- resolves: #956003
  updated to 1.2.3

* Tue Mar 19 2013 Peter Schiffer <pschiffe@redhat.com> - 1.2.2-4
- fixed memory leaks detected by valgrind

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 30 2012 Peter Schiffer <pschiffe@redhat.com> - 1.2.2-2
- resolves: #876108
  fixed size_t underflow in pipeline_readline() function

* Thu Oct 18 2012 Peter Schiffer <pschiffe@redhat.com> - 1.2.2-1
- updated to 1.2.2

* Thu Sep 06 2012 Peter Schiffer <pschiffe@redhat.com> - 1.2.1-2
- enabled test suite at build time
- cleaned .spec file

* Mon Jul 23 2012 Peter Schiffer <pschiffe@redhat.com> - 1.2.1-1
- update to 1.2.1
- fixed FTBFS caused by gnulib

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Apr 19 2011 Ivana Hutarova Varekova <varekova@redhat.com> - 1.2.0-1
- initial build
